#version 300 es

precision highp float;

uniform vec2 u_Resolution;
uniform float u_Scale;

layout(location = 0) out vec4 o_FragColor;

const float c_Scale = 36.0;

float chessboard(vec2 uv)
{
    uv = floor(uv * 2.0);

    return mod(uv.x + uv.y, 2.0);
}

void main() {
    vec2 uv = gl_FragCoord.xy / u_Resolution.y * u_Scale;
    vec3 color = clamp(vec3(chessboard(uv)) + vec3(0.6), 0.0, 1.0);

    o_FragColor = vec4(color, 1.0);
}
